Database Extensions - List By Database
List database extension. This will return an empty list as it is not supported.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/extensions?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
The name of the database. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
server
|
path | True |
string |
The name of the server. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List database extensions.
Sample request
GET https://management.azure.com/subscriptions/7b2515fe-f230-4017-8cf0-695163acab85/resourceGroups/rg_4007c5a9-b3b0-41e1-bd46-9eef38768a4a/providers/Microsoft.Sql/servers/srv_3b67ec2a-519b-43a7-8533-fb62dce3431e/databases/719d8fa4-bf0f-48fc-8cd3-ef40fe6ba1fe/extensions?api-version=2025-01-01
Sample response
{
"value": []
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Import |
Import export operation extensions list. |
|
Import |
An Extension operation result resource. |
|
Private |
Contains the private endpoint connection requests status. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ImportExportExtensionsOperationListResult
Import export operation extensions list.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to retrieve next page of results. |
| value |
Array of results. |
ImportExportExtensionsOperationResult
An Extension operation result resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.blobUri |
string |
Blob URI. |
| properties.databaseName |
string |
Database name. |
| properties.errorMessage |
string |
Error message. |
| properties.lastModifiedTime |
string |
Last modified time. |
| properties.privateEndpointConnections |
Gets the status of private endpoints associated with this request. |
|
| properties.queuedTime |
string |
Queued time. |
| properties.requestId |
string (uuid) |
Request Id. |
| properties.requestType |
string |
Request type. |
| properties.serverName |
string |
Server name. |
| properties.status |
string |
Operation status. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PrivateEndpointConnectionRequestStatus
Contains the private endpoint connection requests status.
| Name | Type | Description |
|---|---|---|
| privateEndpointConnectionName |
string |
The connection name for the private endpoint. |
| privateLinkServiceId |
string |
Resource id for which the private endpoint is created. |
| status |
string |
Status of this private endpoint connection. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |